Class | Sequel::Firebird::Dataset
In: | lib/sequel/adapters/firebird.rb
Parent: | Sequel::Dataset

Dataset class for Firebird datasets

### Methods

fetch_rows

### Included Modules

Sequel::Firebird::DatasetMethods

### Constants

DatasetClass | = | self

### Public Instance methods

fetch_rows(sql) {|h| ...}

Yield all rows returned by executing the given SQL and converting the types.

[Source]

        # File lib/sequel/adapters/firebird.rb, line 85
    85:       def fetch_rows(sql)
    86:         execute(sql) do |s|
    87:           begin
    88:             @columns = columns = s.fields.map{|c| output_identifier(c.name)}
    89:             s.fetchall.each do |r|
    90:               h = {}
    91:               r.zip(columns).each{|v, c| h[c] = v}
    92:               yield h
    93:             end
    94:           ensure
    95:             s.close
    96:           end
    97:         end
    98:         self
    99:       end

[Validate]